Fetch cancelled and failed orders by wallet
curl --request GET \
--url https://sandbox.api.btdx.io/orders/cancelled \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/orders/cancelled"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/orders/cancelled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_offset": {
"offset": "2023-11-07T05:31:56Z",
"secondaryOffset": 123,
"limit": 123,
"sort": "ASC"
},
"_next_offset": {
"offset": "2023-11-07T05:31:56Z",
"secondaryOffset": 123,
"limit": 123,
"sort": "ASC"
}
},
"documents": {
"orders": [
{
"id": "<string>",
"appId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"side": "For",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"keepWhenInPlay": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"commissionRateId": "<string>",
"reference": "<string>",
"status": "Cancelled",
"matchBehavior": "RetainUnmatched",
"cancellationReason": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"inPlayStatus": "NotApplicable",
"published": true,
"suspended": true,
"status": "Initializing",
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"trades": [
{
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"id": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_offset": {
"offset": "2023-11-07T05:31:56Z",
"secondaryOffset": 123,
"limit": 123,
"sort": "ASC"
},
"_next_offset": {
"offset": "2023-11-07T05:31:56Z",
"secondaryOffset": 123,
"limit": 123,
"sort": "ASC"
}
},
"documents": {
"orders": [
{
"id": "<string>",
"appId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"side": "For",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"keepWhenInPlay": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"commissionRateId": "<string>",
"reference": "<string>",
"status": "Cancelled",
"matchBehavior": "RetainUnmatched",
"cancellationReason": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"inPlayStatus": "NotApplicable",
"published": true,
"suspended": true,
"status": "Initializing",
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"trades": [
{
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"id": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}Orders
Fetch cancelled and failed orders by wallet
Fetch cancelled (unmatched/unfilled) and failed orders for the given wallet that were created in the given date range. Optionally filter by market. Pagination is by offset using createdAt and id, as the primary and secondary offsets. Fetch initial page without any offsets set, and use returned _next_offset values iteratively until _next_offset is null, or _count is 0.
GET
/
orders
/
cancelled
Fetch cancelled and failed orders by wallet
Headers
Query Parameters
Value to offset the current page request by (inclusive)
Secondary offset value, i.e., if offset value is non-unique (exclusive)
Maximum number of elements to retrieve
Sorting criteria in the format: asc|desc. "
Default sort order is ascending.
⌘I